JoueurImpl

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Class JoueurImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  chkoba.JoueurImpl

All Implemented Interfaces:
  IJoueur, java.io.Serializable, java.rmi.Remote

Direct Known Subclasses:
  JoueurAImpl, JoueurMImpl

    public abstract class JoueurImpl

extends java.rmi.server.UnicastRemoteObject
implements IJoueur

Classe Joueur

See Also:
  Serialized Form

Field Summary
`protected boolean` | `fait` Attribut pour voir si il est "fait" Confere au reseau
`protected IMain` | `main` Attribut main du joueur
`protected java.lang.String` | `nom` Attribut nom du joueur
`protected java.util.ArrayList<ICarte>` | `plis` Attribut qui contient les plis du joueur
`protected int` | `point_chkoba` Attribut qui compte le nombre de points chkoba
`protected int` | `points` Attribut qui compte son nombre de points
`protected boolean` | `pris` Attribut pour savoir si il a pris recemment
`protected boolean` | `vide` Attribut pour savoir si la main est vide

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`JoueurImpl()` Constructeur par defaut
`JoueurImpl(java.lang.String n)` Constructeur avec un parametre

Method Summary
`abstract java.lang.String` | `affiche()` Afficher le joueur
`void` | `ajoutePlis(java.util.ArrayList<ICarte> array)` Methode qui ajoute un les carte de l'arrayList en parametre au plis du joueur affin de compter le nombre de carte rammasees
`void` | `chkoba()` Faire un point Chkoba
`int` | `compareTo(java.lang.Object j)` Dans ce jeu, il n'y a qu'un seul paquet de carte donc si le joueur a les meme carte dans la main que j alors il sont identique Renvoie 0 si les deux joueurs sont identiques 1 si il sont different -2 si l'objet en parametre n'est pas une instance de IJoueur -3 si une erreur s'est produite
`int` | `compteCarreaux()` Compte le nombre de carreaux dans les plis du joueur
`void` | `comptePoint()` Compte le nombre de point du joueur
`int` | `compteSept()` Compte le nombre de septs dans les plis
`int` | `compteSix()` Compte le nombre de six dans les plis
`int` | `getChkoba()` Retourne la variable chkoba
`boolean` | `getFait()` Retourne la variable "fait"
`IMain` | `getMain()` Retourne la main du joueur
`java.lang.String` | `getNom()` Retourne le nom du joueur
`java.util.ArrayList<ICarte>` | `getPlis()` Retourne les plis du joueur
`int` | `getPoint()` Retourne le nombre de points du joueur
`boolean` | `getPris()` Retourne la variable "pris"
`int` | `getTaillePlis()` Retourne les plis du joueur
`abstract void` | `jouer(IPlateau pl)` Methode abstraite definie dans les classe filles
`boolean` | `mainEstVide()` Retourne vrai si la main est vide
`boolean` | `septCarreau()` retourne vraie si le joueur a le sept de carreau
`void` | `setFait()` Switch automatiquement fait a false si fait est a vrai et inversement
`void` | `setNom(java.lang.String s)` Mettre le nom du joueur au parametre s
`void` | `setPris()` Switch automatiquement pris a false si fait est a vrai et inversement
`void` | `setVide(boolean b)` Mettre le booleen vide au parametre b

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### main

    protected IMain main

  Attribut main du joueur

### nom

    protected java.lang.String nom

  Attribut nom du joueur

### vide

    protected boolean vide

  Attribut pour savoir si la main est vide

### plis

    protected java.util.ArrayList<ICarte> plis

  Attribut qui contient les plis du joueur

### point_chkoba

    protected int point_chkoba

  Attribut qui compte le nombre de points chkoba

### points

    protected int points

  Attribut qui compte son nombre de points

### pris

    protected boolean pris

  Attribut pour savoir si il a pris recemment

### fait

    protected boolean fait

  Attribut pour voir si il est "fait"
  Confere au reseau

Constructor Detail

### JoueurImpl

    public JoueurImpl()
               throws java.rmi.RemoteException

  Constructeur par defaut

  Throws:
    `java.rmi.RemoteException`

### JoueurImpl

    public JoueurImpl(java.lang.String n)
               throws java.rmi.RemoteException

  Constructeur avec un parametre

  Parameters:
    `n` - , nom du joueur
  Throws:
    `java.rmi.RemoteException`

Method Detail

### compareTo

    public int compareTo(java.lang.Object j)
                  throws java.rmi.RemoteException

  Dans ce jeu, il n'y a qu'un seul paquet de carte donc si le joueur a les meme carte dans la main que j alors il sont identique Renvoie 0 si les deux joueurs sont identiques 1 si il sont different -2 si l'objet en parametre n'est pas une instance de IJoueur -3 si une erreur s'est produite

  Specified by:
    `compareTo` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### ajoutePlis

    public void ajoutePlis(java.util.ArrayList<ICarte> array)
                    throws java.rmi.RemoteException

  Methode qui ajoute un les carte de l'arrayList en parametre au plis du joueur affin de compter le nombre de carte rammasees

  Specified by:
    `ajoutePlis` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### comptePoint

    public void comptePoint()
                     throws java.rmi.RemoteException

  Compte le nombre de point du joueur

  Specified by:
    `comptePoint` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### jouer

    public abstract void jouer(IPlateau pl)
                        throws java.rmi.RemoteException

  Methode abstraite definie dans les classe filles

  Specified by:
    `jouer` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### chkoba

    public void chkoba()
                throws java.rmi.RemoteException

  Faire un point Chkoba

  Specified by:
    `chkoba` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### compteCarreaux

    public int compteCarreaux()
                       throws java.rmi.RemoteException

  Compte le nombre de carreaux dans les plis du joueur

  Specified by:
    `compteCarreaux` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### compteSept

    public int compteSept()
                   throws java.rmi.RemoteException

  Compte le nombre de septs dans les plis

  Specified by:
    `compteSept` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### compteSix

    public int compteSix()
                  throws java.rmi.RemoteException

  Compte le nombre de six dans les plis

  Specified by:
    `compteSix` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### septCarreau

    public boolean septCarreau()
                        throws java.rmi.RemoteException

  retourne vraie si le joueur a le sept de carreau

  Specified by:
    `septCarreau` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### setFait

    public void setFait()
                 throws java.rmi.RemoteException

  Switch automatiquement fait a false si fait est a vrai et inversement

  Specified by:
    `setFait` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### setPris

    public void setPris()
                 throws java.rmi.RemoteException

  Switch automatiquement pris a false si fait est a vrai et inversement

  Specified by:
    `setPris` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### setNom

    public void setNom(java.lang.String s)
                throws java.rmi.RemoteException

  Mettre le nom du joueur au parametre s

  Specified by:
    `setNom` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### setVide

    public void setVide(boolean b)
                 throws java.rmi.RemoteException

  Mettre le booleen vide au parametre b

  Specified by:
    `setVide` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### getFait

    public boolean getFait()
                    throws java.rmi.RemoteException

  Retourne la variable "fait"

  Specified by:
    `getFait` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### getPris

    public boolean getPris()
                    throws java.rmi.RemoteException

  Retourne la variable "pris"

  Specified by:
    `getPris` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### mainEstVide

    public boolean mainEstVide()
                        throws java.rmi.RemoteException

  Retourne vrai si la main est vide

  Specified by:
    `mainEstVide` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### getMain

    public IMain getMain()
                  throws java.rmi.RemoteException

  Retourne la main du joueur

  Specified by:
    `getMain` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### getPlis

    public java.util.ArrayList<ICarte> getPlis()
                                        throws java.rmi.RemoteException

  Retourne les plis du joueur

  Specified by:
    `getPlis` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### getTaillePlis

    public int getTaillePlis()
                      throws java.rmi.RemoteException

  Retourne les plis du joueur

  Specified by:
    `getTaillePlis` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### getNom

    public java.lang.String getNom()
                            throws java.rmi.RemoteException

  Retourne le nom du joueur

  Specified by:
    `getNom` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### affiche

    public abstract java.lang.String affiche()
                                      throws java.rmi.RemoteException

  Afficher le joueur

  Specified by:
    `affiche` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### getChkoba

    public int getChkoba()
                  throws java.rmi.RemoteException

  Retourne la variable chkoba

  Specified by:
    `getChkoba` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

### getPoint

    public int getPoint()
                 throws java.rmi.RemoteException

  Retourne le nombre de points du joueur

  Specified by:
    `getPoint` in interface `IJoueur`
  Throws:
    `java.rmi.RemoteException`

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD